OptFEM3DP1 Toolbox: Opt/GetMeshOpt.m File Reference

| OptFEM3DP1 Toolbox 20130614_170440 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
GetMeshOpt.m File Reference

Initialization of the Mesh structure from a FreeFEM++ mesh file % Optimized version. More...

Go to the source code of this file.

## Functions
function Mesh = | GetMeshOpt (cFileName)
| Initialization of the Mesh structure from a FreeFEM++ mesh file % Optimized version.

## Detailed Description

Initialization of the Mesh structure from a FreeFEM++ mesh file % Optimized version.

Definition in file GetMeshOpt.m.

## Function Documentation

function Mesh = GetMeshOpt | ( |  | cFileName | ) |

Initialization of the Mesh structure from a FreeFEM++ mesh file % Optimized version.

Example
  Th=GetMesh(`cube.mesh`)

Copyright
  See License issues

Parameters

  cFileName | FreeFEM++ mesh file name (string)

Return values

  Mesh | mesh structure

Generated fields of Mesh:
  - `nq —` total number of vertices.
  - `q —` Array of vertices coordinates, 3-by-nq array. q(il,j) is the il-th coordinate of the j-th vertex, il in {1,3} and j in {1,...,nq}.
  - `ql —` Array of vertices labels, 1-by-nq array.
  - `nme —` total number of elements.
  - `me —` Connectivity array, 4-by-nme array. me(jl,k) is the storage index of the jl-th vertex of the k-th triangle in the array q of vertices coordinates, jl in {1,..,4} and k in {1,...,nme}.
  - `mel —` Array of elements labels, 1-by-nme array.
  - `nbf —` total number of boundary faces, also denoted by
  - `bf —` Connectivity array for boundary faces, 3-by-nbf array. bf(il,l) is the storage index of the il-th vertex of the l-th boundary face in the array q of vertices coordinates, il in {1,3} and l in {1,...,nbf}.
  - `bfl —` Array of boundary faces labels, 1-by-nbf array.
  - `volumes —` Array of volumes, 1-by-nme array. volumes(k) is the volume of the k-th triangle.
  - `abf —` Array of faces areas, 1-by-nbf array. abf(j) is the area of the j-th boundary face.

Definition at line 17 of file GetMeshOpt.m.